Subject: [bug#66099] [PATCH gnome-team v7 0/5] Update eudev with a snippet, udev-service-type, upower

From: Vivien Kraus <[email-masked]>
Date: Thu, 5 Oct 2023 07:04:03 +0200

Le jeudi 05 octobre 2023 à 06:50 +0200, Liliana Marie Prikler a écrit :
> Am Dienstag, dem 19.09.2023 um 13:23 +0200 schrieb Vivien Kraus:
> > Eudev has significant improvements from 3.2.12, but they are not
> > released yet. The package version number has already been bumped to
> > 3.2.14, but since it is not released yet, the version number is
> > downgraded to 3.2.12.
> Smaller nitpick: I think "we still advertise it as 3.2.12" is better wording
> here.  Downgrade would imho imply a removal of functionality which is not
> happening here.

OK.

> > * gnu/packages/linux.scm (eudev): Update to a post-v3.2.12 commit.
> > [#:phases] <allow-eudev-hwdb>: New phase.
> > <install-in-lib>: New phase.
> > <build-hwdb>: Remove phase.
> > [#:configure-flags]: Set sysconfdir to avoid a prefix.
> > [native-search-paths]: Add UDEV_HWDB_PATH.
> > * gnu/packages/patches/eudev-set-version-to-3.2.12.patch: New file.
> You might want to express this one with a snippet and an explicit comment to
> remove it once a release version is used.

I thougḥt the patch would be more useful as it would then fail to apply, but I
understand the updater could be unsure whether to remove or rebase the
patch. A snippet + comment is more explicit.

Vivien Kraus (5):
  gnu: eudev: Update libudev version to 251.
  services: udev: unify udev-rule and file->udev-rule.
  gnu: udev-service-type: accept hwdb file extensions.
  gnu: libgudev: Update to 238.
  gnu: upower: Update to 1.90.2.

 doc/guix.texi                                 |  52 +++++++--
 gnu/packages/gnome.scm                        |  43 +++++---
 gnu/packages/linux.scm                        |  64 ++++++++---
 .../patches/eudev-rules-directory.patch       |   9 +-
 gnu/services/base.scm                         | 103 ++++++++++++++----
 5 files changed, 198 insertions(+), 73 deletions(-)

base-commit: b18b2d13488f2a92331ccad2dc8cbb54ee15582f
-- 
2.41.0